# Uses of Class
org.eclipse.ecf.remoteservice.client.RemoteServiceClientRegistration

Packages that use RemoteServiceClientRegistration
Package
Description
org.eclipse.ecf.remoteservice.client
org.eclipse.ecf.remoteservice.rest.client

## Uses of RemoteServiceClientRegistration in org.eclipse.ecf.remoteservice.client

Subclasses of RemoteServiceClientRegistration in org.eclipse.ecf.remoteservice.client
Modifier and Type
Class
Description
`class`
`AbstractRSAClientContainer.RSAClientRegistration`
Fields in org.eclipse.ecf.remoteservice.client declared as RemoteServiceClientRegistration
Modifier and Type
Field
Description
`protected RemoteServiceClientRegistration`
AbstractClientService.`registration`
`protected RemoteServiceClientRegistration`
RemoteServiceClientReference.`registration`
Methods in org.eclipse.ecf.remoteservice.client that return RemoteServiceClientRegistration
Modifier and Type
Method
Description
`protected RemoteServiceClientRegistration`
AbstractClientContainer.`createRestServiceRegistration(String[] clazzes, IRemoteCallable[][] callables, Dictionary properties)`
`protected RemoteServiceClientRegistration`
AbstractClientContainer.`createRestServiceRegistration(IRemoteCallable[] callables, Dictionary properties)`
`protected RemoteServiceClientRegistration`
AbstractRSAClientContainer.`createRSAClientRegistration(ID targetID, String[] interfaces, Map<String,Object> endpointDescriptionProperties)`
`RemoteServiceClientRegistration`
RemoteServiceClientRegistry.`findServiceRegistration(RemoteServiceClientReference reference)`
`protected RemoteServiceClientRegistration`
AbstractClientService.`getRegistration()`
`RemoteServiceClientRegistration`
AbstractRSAClientContainer.`registerEndpoint(ID targetID, String[] interfaces, Map<String,Object> endpointDescriptionProperties)`
Methods in org.eclipse.ecf.remoteservice.client with parameters of type RemoteServiceClientRegistration
Modifier and Type
Method
Description
`protected IRemoteService`
AbstractClientContainer.`createRemoteService(RemoteServiceClientRegistration registration)`
Create a remote service for a given remote service registration.
`IRemoteService`
IRemoteServiceFactory.`createRemoteService(RemoteServiceClientRegistration registration)`
`void`
RemoteServiceClientRegistry.`registerRegistration(RemoteServiceClientRegistration registration)`
`void`
RemoteServiceClientRegistry.`unregisterRegistration(RemoteServiceClientRegistration registration)`
Constructors in org.eclipse.ecf.remoteservice.client with parameters of type RemoteServiceClientRegistration
Modifier
Constructor
Description
``
`AbstractClientService(AbstractClientContainer container, RemoteServiceClientRegistration registration)`
``
`AbstractRSAClientService(AbstractClientContainer container, RemoteServiceClientRegistration registration)`
``
`RemoteServiceClientReference(RemoteServiceClientRegistration remoteServiceClientRegistration)`

## Uses of RemoteServiceClientRegistration in org.eclipse.ecf.remoteservice.rest.client

Subclasses of RemoteServiceClientRegistration in org.eclipse.ecf.remoteservice.rest.client
Modifier and Type
Class
Description
`protected class`
`AbstractRestClientContainer.RestRemoteServiceClientRegistration`
Methods in org.eclipse.ecf.remoteservice.rest.client that return RemoteServiceClientRegistration
Modifier and Type
Method
Description
`protected RemoteServiceClientRegistration`
AbstractRestClientContainer.`createRestServiceRegistration(String[] clazzes, IRemoteCallable[][] callables, Dictionary properties)`
`protected RemoteServiceClientRegistration`
AbstractRestClientContainer.`createRestServiceRegistration(IRemoteCallable[] callables, Dictionary properties)`
Methods in org.eclipse.ecf.remoteservice.rest.client with parameters of type RemoteServiceClientRegistration
Modifier and Type
Method
Description
`protected abstract IRemoteService`
AbstractRestClientContainer.`createRemoteService(RemoteServiceClientRegistration registration)`
`protected IRemoteService`
RestClientContainer.`createRemoteService(RemoteServiceClientRegistration registration)`
Constructors in org.eclipse.ecf.remoteservice.rest.client with parameters of type RemoteServiceClientRegistration
Modifier
Constructor
Description
``
`AbstractRestClientService(AbstractClientContainer container, RemoteServiceClientRegistration registration)`
``
`RestClientService(RestClientContainer container, RemoteServiceClientRegistration registration)`